> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1commitspublic



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/commits/public
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/commits/public:
    get:
      tags:
        - commits
      operationId: list_public_commits
      parameters:
        - name: limit
          in: path
          description: 'Maximum number of commits to return (default: 50, max: 100)'
          required: true
          schema:
            type:
              - integer
              - 'null'
            format: int64
        - name: offset
          in: path
          description: 'Number of commits to skip (default: 0)'
          required: true
          schema:
            type:
              - integer
              - 'null'
            format: int64
      responses:
        '200':
          description: List of public commits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCommitsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    ListCommitsResponse:
      type: object
      required:
        - commits
        - total
        - limit
        - offset
      properties:
        commits:
          type: array
          items:
            $ref: '#/components/schemas/CommitInfo'
        limit:
          type: integer
          format: int64
        offset:
          type: integer
          format: int64
        total:
          type: integer
          format: int64
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
    CommitInfo:
      type: object
      required:
        - commit_id
        - owner_id
        - name
        - created_at
        - is_public
      properties:
        commit_id:
          type: string
        created_at:
          type: string
        description:
          type:
            - string
            - 'null'
        grandparent_commit_id:
          type:
            - string
            - 'null'
        is_public:
          type: boolean
        name:
          type: string
        owner_id:
          type: string
        parent_vm_id:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````